Download it now!
Bug 61466 - [Template manager] Delete a template is done without asking for confirmation
Summary: [Template manager] Delete a template is done without asking for confirmation
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.0.2 rc
Hardware: Other All
: medium normal
Assignee: Rafael Dominguez
URL:
Whiteboard: target:4.1.0 target:4.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-25 22:25 UTC by Cor Nouws
Modified: 2013-05-10 09:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2013-02-25 22:25:21 UTC
File > New > Template
click to a folder / template
click Delete on the tool bar
 Delete does not ask for confirmation..
A bit triggy, IMO
Comment 1 Cor Nouws 2013-02-25 22:25:37 UTC
new of course
Comment 2 Glutanimate 2013-03-05 19:00:20 UTC
I agree with Cor. The lack of a confirmation dialog and the placement of the delete button make the template manager very dangerous in its current state.
Comment 3 Rafael Dominguez 2013-03-09 18:14:25 UTC
I agree that we should ask for confirmation when deleting templates.
Comment 4 Cédric Bosdonnat 2013-03-11 14:03:25 UTC
Fixed by Raphael in both master and libreoffice-4-0 branches.
Comment 5 Commit Notification 2013-03-11 14:03:36 UTC
Rafael Dominguez committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aac44d9c424861814e81d18b75b6ef315762ccce

Ask for confirmation when deleting a template, fdo#61466



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-03-11 14:10:02 UTC
Rafael Dominguez committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1847de945a2b4ca66c02d19621404c567ee3b5be&h=libreoffice-4-0

Ask for confirmation when deleting a template, fdo#61466


It will be available in LibreOffice 4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-03-11 16:00:32 UTC
Cedric Bosdonnat committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0708ce5b862bbb052f0d50bc4d1e931ff20952e4&h=libreoffice-4-0

Revert "Ask for confirmation when deleting a template, fdo#61466"


It will be available in LibreOffice 4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Cor Nouws 2013-05-10 09:06:59 UTC
The Whitebord say's target 4.0.2
But since it was reverted in the 4.0 branch for the new string, that is not correct.

Would there be the posibility to introduce a new string if l10n agrees?
I find this one annoying enough to go to the list and ask ..